edu.msu.cme.rdp.multicompare.taxon

## Class MCTaxon

- java.lang.Object
- - edu.msu.cme.rdp.taxatree.Node
  - - edu.msu.cme.rdp.taxatree.Taxon
    - - edu.msu.cme.rdp.multicompare.taxon.MCTaxon

Direct Known Subclasses:
  UnifracTaxon

    public class MCTaxon
    extends edu.msu.cme.rdp.taxatree.Taxon

### Field Summary

Fields
`static int` `Count_Array_size`
`protected java.util.Map<MCSample,double[]>` `sampleCountMap`

### Fields inherited from class edu.msu.cme.rdp.taxatree.Taxon

`ROOT_TAXON`

### Fields inherited from class edu.msu.cme.rdp.taxatree.Node

`taxid`

### Constructor Summary

Constructors
Constructor and Description
`MCTaxon(int id, java.lang.String name, java.lang.String rank)`
`MCTaxon(int id, java.lang.String name, java.lang.String rank, boolean unclassified)`
`MCTaxon(edu.msu.cme.rdp.taxatree.Taxon t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSequence(java.lang.String seqid)`
`double` `getCopyCorrectedCount(MCSample s)`
`double` `getCount(MCSample s)`
`java.lang.String` `getLineage()`
`java.util.Set<MCSample>` `getSamples()`
`java.util.Set<java.lang.String>` `getSequences()`
`void` `incCount(MCSample s, double c)`
`void` `incCount(MCSample s, double c, double copyNumber)`
`void` `setLineage(java.lang.String lineage)`

### Methods inherited from class edu.msu.cme.rdp.taxatree.Taxon

`getName, getRank, getTaxid, getUnclassifiedId, isUnclassified`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sampleCountMap

    protected java.util.Map<MCSample,double[]> sampleCountMap

#### Count_Array_size

    public static final int Count_Array_size

See Also:
  Constant Field Values

### Constructor Detail

#### MCTaxon

    public MCTaxon(int id,
                   java.lang.String name,
                   java.lang.String rank)

#### MCTaxon

    public MCTaxon(int id,
                   java.lang.String name,
                   java.lang.String rank,
                   boolean unclassified)

#### MCTaxon

    public MCTaxon(edu.msu.cme.rdp.taxatree.Taxon t)

### Method Detail

#### addSequence

    public void addSequence(java.lang.String seqid)

#### getSequences

    public java.util.Set<java.lang.String> getSequences()

#### setLineage

    public void setLineage(java.lang.String lineage)

#### getLineage

    public java.lang.String getLineage()

#### getSamples

    public java.util.Set<MCSample> getSamples()

#### getCount

    public double getCount(MCSample s)

#### getCopyCorrectedCount

    public double getCopyCorrectedCount(MCSample s)

#### incCount

    public void incCount(MCSample s,
                         double c)

#### incCount

    public void incCount(MCSample s,
                         double c,
                         double copyNumber)